#include "mv.hh"

// initialize structure to a vector of size 0
void
Initialize( struct Vec & vec ) {
  vec.size   = 0 ;
  vec.values = nullptr ;
}

// alocate a vector to teh size: size
void
Allocate( struct Vec & vec, int size ) {
  vec.size = size ;
  // check if alreay allocated
  if ( vec.values != nullptr ) delete [] vec.values ;
  vec.values = new double[size] ;
}

void
Fill( struct Vec & vec, double val ) {
  for ( int i = 0 ; i < vec.size ; ++i )
      vec.values[i] = val ;
}

void
Free( struct Vec & vec ) {
  // check if alreay de-allocated
  if ( vec.values != nullptr ) delete [] vec.values ;
  vec.size = 0 ;
}
