/*

  Simple C-like dynamic vectors/matrices

  use doble, no typedef no template

*/

#include <cstddef>

// if C++ < C++11 define nullptr
#if __cplusplus <= 199711L
  #include <cstdlib>
  #ifndef nullptr
    #include <cstddef>
    #define nullptr NULL
  #endif
#endif

// define a vector as a struct with the size of the vector
// and a pointer to its values

struct Vec {
  int      size ;
  double * values ;
} ;

void Initialize( struct Vec & vec ) ;
void Allocate( struct Vec & vec, int size ) ;
void Free( struct Vec & vec ) ;
